Read a configurable product's variant axes
curl --request GET \
--url https://wisepim.com/api/public/v1/products/{product_id}/variant-axes \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/products/{product_id}/variant-axes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/products/{product_id}/variant-axes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"product_id": 123,
"source": "<string>",
"axes": [
{
"attribute_id": 123,
"code": "<string>",
"label": "<string>",
"position": 123,
"values": [
"<string>"
]
}
],
"incomplete_variant_ids": [
123
],
"duplicate_variant_ids": [
[
123
]
],
"warnings": [
"<string>"
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Read variant axes
GET /products//variant-axes: the attributes that tell a configurable product’s variants apart, where they come from and which variants are incomplete. Requires products:read.
GET
/
api
/
public
/
v1
/
products
/
{product_id}
/
variant-axes
Read a configurable product's variant axes
curl --request GET \
--url https://wisepim.com/api/public/v1/products/{product_id}/variant-axes \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/products/{product_id}/variant-axes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/products/{product_id}/variant-axes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"product_id": 123,
"source": "<string>",
"axes": [
{
"attribute_id": 123,
"code": "<string>",
"label": "<string>",
"position": 123,
"values": [
"<string>"
]
}
],
"incomplete_variant_ids": [
123
],
"duplicate_variant_ids": [
[
123
]
],
"warnings": [
"<string>"
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Response
OK

